<?php
namespace Claromentis\Stat;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_aed8da0" . "f1909121" . "4b78f803" . "51048517" . "c" => base64_decode("c3Ry" . "bGVu"), "_cfe3120f54395b670652b38" . "c2d0a8e88" => base64_decode("c3V" . "ic3" . "Ry"), "_f61cbfe09f839854b95" . "117fe13b4a1ba" => base64_decode("c3Ryc" . "G9z"), "_70979d287fa2c98d21" . "aa07834c259a52" => base64_decode("c3RydG9sb3d" . "lcg=="), "_d706c160e45bf7434fff82a" . "5976f0e19" => base64_decode("YXJyYXlfa2V" . "5cw=="));
use Pimple\Container;






class StatPluginProvider
{
    private $plugins = [];
    private $container = null;
    const STAT_APP_NAME_PREFIX = 'stat.provider.';
    
    
    
    
    
    
    public function __construct(Container $_5e4594441b0e531bfd6f0011e0327611)
    {
        $this->container = $_5e4594441b0e531bfd6f0011e0327611;
    }
    
    
    
    
    protected function FindPluginsKeys()
    {
        if (!empty($this->plugins)) {
            return;
        }
        $_dff05f62bb87399254f2155a31e58365 = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aed8da0f190" . "91214b78f803" . "51048517c"](self::STAT_APP_NAME_PREFIX);
        foreach ($this->container->keys() as $key) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f61cbfe09f839854b9511" . "7fe13b4a1ba"]($key, self::STAT_APP_NAME_PREFIX) === 0) {
                $this->plugins[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_cfe3120f54395b6706" . "52b38c2d0a8e88"]($key, $_dff05f62bb87399254f2155a31e58365)] = 1;
            }
        }
    }
    
    
    
    
    
    
    public function GetPluginsKeys()
    {
        $this->FindPluginsKeys();
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_d706c160" . "e45bf7434" . "fff82a597" . "6f0e19"]($this->plugins);
    }
    
    
    
    
    
    
    
    
    public function GetPlugin(string $name)
    {
        $service_name = self::STAT_APP_NAME_PREFIX . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_70979d28" . "7fa2c98d2" . "1aa07834c" . "259a52"]($name);
        $plugin = null;
        if (isset($this->container[$service_name])) {
            $plugin = $this->container[$service_name];
        }
        return $plugin;
    }
}